<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mg_anzeigenmarkt.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

// Turn off all error reporting
error_reporting(0);
// Report all PHP errors (see changelog)
//error_reporting(E_ALL);
//error_reporting(E_ALL & ~E_NOTICE);

include INFUSIONS."mg_anzeigenmarkt/infusion_db.php";
include_once INFUSIONS."mg_anzeigenmarkt/includes/functions.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(MARKTPLATZ."locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include MARKTPLATZ."locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include MARKTPLATZ."locale/German.php";
}

// abgelaufene Anzeigen deaktivieren
$cleanup = dbquery("SELECT * FROM ".MG_MARKET." WHERE market_end_time != '0' AND market_aktiv = '1' AND market_end_time<='".time()."'");
if (dbrows($cleanup)) {
	while ($data = dbarray($cleanup)) {
		$update = dbquery("UPDATE ".MG_MARKET." SET market_aktiv = '0' WHERE market_id='".$data['market_id']."'");
	// PM senden
	
	$betr = $locale['MG_MARKT_0100'];
	$text = "".$locale['MG_MARKT_0101']." [url=".$settings['siteurl']."infusions/mg_anzeigenmarkt/mg_anzeigenmarkt.php?market_id=".$data['market_id']."]".$data['market_name']."[/url] ".$locale['MG_MARKT_0102']."\n\n".$locale['MG_MARKT_0103']."\n".$settings['siteusername']."\n\n";

	$result_msg = dbquery("INSERT INTO ".DB_MESSAGES." (message_to, message_from, message_subject, message_message, message_smileys, message_read, message_datestamp, message_folder) VALUES ('".$data['market_user']."', '1', '".$betr."', '".$text."', 'n', '0', '".time()."', '0')");
	}
}
//
$sel = " class='selected'";
if (isset($_GET['kat_id'])) {
	$sel = "";
	navigation($_GET['kat_id']);
	$mainkat = (getKatValue($_GET['kat_id'], 'main_kat') == "s" ? "<a>".$locale['MG_MARKT_0104']."</a>" : "<a>".$locale['MG_MARKT_0105']."</a>");
} else {
	$mainkat = "";
	$sub = "";
}
if (isset($_GET['mein_markt'])) { // User-Profil
	$sel = "";
	$navi = "<a class='selected'>".$locale['MG_MARKT_0106']."</a>";
} elseif (isset($_GET['anzeige_add'])) { // Neue Anzeige aufgeben
	$sel = "";
	$navi = "<a class='selected'>".$locale['MG_MARKT_0107']."</a>";
} elseif (isset($_GET['anzeige_edit'])) { // Anzeige bearbeiten
	$sel = "";
	$navi = "<a class='selected'>".$locale['MG_MARKT_0108']."</a>";
} elseif (isset($_GET['market_id'])) {
	$the_market_id = stripinput($_GET['market_id']);
	$sel = "";
	$navi = "<a>".(getKatValue(getMarketValue($the_market_id, 'market_kat'), 'main_kat') == "s" ? $locale['MG_MARKT_0104'] : $locale['MG_MARKT_0105'])."</a>
			".(getKatValue(getMarketValue($the_market_id, 'market_kat'), 'top_kat') != "0" ? "<a href='".FUSION_SELF."?kat_id=".getKatValue(getKatValue(getMarketValue($the_market_id, 'market_kat'), 'top_kat'), 'kat_id')."'>".getKatValue(getKatValue(getMarketValue($the_market_id, 'market_kat'), 'top_kat'), 'kat_name')."</a>" : "")."
			<a href='".FUSION_SELF."?kat_id=".getKatValue(getMarketValue($the_market_id, 'market_kat'), 'kat_id')."'>".getKatValue(getMarketValue($the_market_id, 'market_kat'), 'kat_name')."</a>
			<a class='selected'>".getMarketValue($the_market_id, 'market_name')."</a>";
} else {
	$navi = "";
}

if (function_exists("MarketSecurity")) {
	MarketSecurity();
} else {
	redirect(BASEDIR."index.php");
}

opentable($locale['MG_MARKT_desc']);
include MARKTPLATZ."mg_anzeigenmarkt_header.php";
echo "<div id='market_bg'>";
echo "<div class='breadcrumb'>";
echo "<a".$sel." href='".MARKTPLATZ."mg_anzeigenmarkt.php'>".$locale['MG_MARKT_0109']."</a>".$mainkat.$sub.$navi;
echo "</div>";

if (isset($_GET['mein_markt'])) {
	include MARKTPLATZ."mg_anzeigenmarkt_profil.php";
} elseif (isset($_GET['anzeige_add'])) {
	include MARKTPLATZ."mg_anzeigenmarkt_add.php";
} elseif (isset($_GET['anzeige_edit'])) {
	include MARKTPLATZ."mg_anzeigenmarkt_edit.php";
} elseif (isset($_GET['market_id'])) {
	include MARKTPLATZ."mg_anzeigenmarkt_anzeige.php";
} else {
	include MARKTPLATZ."mg_anzeigenmarkt_kats.php";
}
echo "</div>";
closetable();

if (getMarketSet("market_inf_name") == "" || getMarketSet("market_inf_name") != md5("MG Anzeigen-Markt") || getMarketSet("market_site_url") == "" || getMarketSet("market_site_url") != md5("MG Anzeigen-Markt".$settings['siteurl'])) {
		redirect(INFUSIONS."mg_anzeigenmarkt/mg_anzeigenmarkt_register.php".$aidlink);
}

echo marketCopyright();

require_once THEMES."templates/footer.php";
?>