<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: functions.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

define("MARKET_BULLET", "<span class='m_bullet'>&nbsp;</span>");
define("MARKTPLATZ", INFUSIONS."mg_anzeigenmarkt/");

function checkScoreGuthaben($id) {
	if (defined("SCORESYSTEM")) {
		$acc_result = dbquery("SELECT * FROM ".DB_SCORE_ACCOUNT." WHERE acc_user_id='".$id."' LIMIT 1");
		if (dbrows($acc_result) && UserIsBanned($id) == false) {
			$acc_data = dbarray($acc_result);
			$acc_score = $acc_data['acc_score'];
			return $acc_score;
		} else {
			return "0";
		}
	} else {
		return "999999999999";
	}
}

function UserIsBanned($id) {
	if (defined("SCORESYSTEM")) {
		$acc_status = dbquery("SELECT * FROM ".DB_SCORE_BAN." WHERE ban_user_id ='".$id."' LIMIT 1");
		if (dbrows($acc_status)) {
			return true;
		} else {
			return false;
		}
	} else {
		return false;
	}
}

function renderTipSubKats($mainkat, $topkat) {
	$res = "";
	$result = dbquery("SELECT * FROM ".MG_MARKET_KAT." WHERE main_kat='".$mainkat."' AND top_kat='".$topkat."' AND ".groupaccess('kat_access')." ORDER BY kat_order");
	if (dbrows($result)) {
		while ($data = dbarray($result)) {
			$res .= MARKET_BULLET."&nbsp;<a href='".FUSION_SELF."?kat_id=".$data['kat_id']."'>".$data['kat_name']."</a> (".GetAnzeigen($data['kat_id']).")";
		}
	}
	return $res;
}

function GetSimilarAdverts($id) {
	global $locale;
	$suche = dbarray(dbquery("SELECT * FROM ".MG_MARKET." WHERE market_id='".$id."'"));
	$sql_market_name = "";
	$res = "";

	$suche_market_name = explode(" ", $suche['market_name']);
	foreach ($suche_market_name as $market_name) {
		if (strlen($market_name) <= 4) {
		$x = array_search($market_name, $suche_market_name);
		unset($suche_market_name[$x]);
		}
	}

	$i = 1;
	foreach ($suche_market_name as $market_name) {
		$sql_market_name .= "market_name LIKE '%".$market_name."%' OR market_desc LIKE '%".$market_name."%'";
		$sql_market_name .= ($i < sizeof($suche_market_name) ? " OR " : "");
		$i++;
	}

	if($sql_market_name != "") {
		$sql = dbquery("SELECT * FROM ".MG_MARKET." WHERE market_id != '".$id."' AND market_aktiv='1' AND (".$sql_market_name.") ORDER BY market_premium DESC, market_start_time DESC LIMIT 0, 10");
		if (dbrows($sql)) {
			$res .= "<div style='text-align: left; padding-left: 10px;'>";
			while ($data = dbarray($sql)) {
			$res .= MARKET_BULLET."&nbsp;<a href='".FUSION_SELF."?market_id=".$data['market_id']."'>".trimlink($data['market_name'], 30)."</a><br />";
			}
			$res .= "</div>";
		} else {
			$res = $locale['MG_MARKT_0200'];
		}
	} else {
		$res = $locale['MG_MARKT_0200'];
	}
	return $res;
}

function hatSubKat($id) {
	$result = dbquery("SELECT * FROM ".MG_MARKET_KAT." WHERE top_kat='".$id."'");
	if (dbrows($result)) {
		return true;
	} else {
		return false;
	}
}

function GetSubKats($id) {
	$result = dbquery("SELECT * FROM ".MG_MARKET_KAT." WHERE top_kat='".$id."' AND ".groupaccess('kat_access')."");
	if (dbrows($result)) {
		return dbrows($result);
	} else {
		return 0;
	}
}

function GetAnzeigen($id) {
	$result = dbquery("SELECT * FROM ".MG_MARKET." WHERE market_kat='".$id."' AND market_aktiv='1'");
	if (dbrows($result)) {
		return dbrows($result);
	} else {
		return 0;
	}
}

function GetGebot($id) {
	global $userdata;
	$result = dbquery("SELECT * FROM ".MG_MARKET_GEBOTE." WHERE market_id='".$id."' AND user_id='".$userdata['user_id']."'");
	$data = dbarray($result);
	return $data['gebot_preis'];
}

function check_Merkliste($id) {
	global $userdata;
	$userMerkliste = array();
	$getUserdata = dbarray(dbquery("SELECT * FROM ".MG_MARKET_USER." WHERE user_id='".$userdata['user_id']."'"));
	$userMerkliste = explode(".", $getUserdata['user_merkliste']);
	if (in_array($id, $userMerkliste)) {
		return true;
	} else {
		return false;
	}
}

function check_Gebotliste($id) {
	global $userdata;
	$userGebotliste = array();
	$getUserdata = dbarray(dbquery("SELECT user_gebote FROM ".MG_MARKET_USER." WHERE user_id='".$userdata['user_id']."'"));
	$userGebotliste = explode(".", $getUserdata['user_gebote']);
	if (in_array($id, $userGebotliste)) {
		return true;
	} else {
		return false;
	}
}

function existsAnzeige($id) {
	$result = dbquery("SELECT market_id, market_aktiv FROM ".MG_MARKET." WHERE market_id='".$id."'");
	if (dbrows($result)) {
		$data = dbarray($result);
		if ($data['market_aktiv'] == "1") {
			return true;
		} else {
			return false;
		}
	} else {
		return false;
	}
}

function MarketSecurity() {
	global $settings, $aidlink;
	if (getMarketSet("market_inf_name") == "" || getMarketSet("market_inf_name") != md5("MG Anzeigen-Markt") || getMarketSet("market_site_url") == "" || getMarketSet("market_site_url") != md5("MG Anzeigen-Markt".$settings['siteurl'])) {
		redirect(INFUSIONS."mg_anzeigenmarkt/mg_anzeigenmarkt_register.php".$aidlink);
	}
}

function getKatValue($id, $field) {
	$result = dbquery("SELECT * FROM ".MG_MARKET_KAT." WHERE kat_id='".$id."'");
	$data = dbarray($result);
	$value = $data[$field];
	return $value;
}

function getMarketValue($id, $field) {
	$result = dbquery("SELECT * FROM ".MG_MARKET." WHERE market_id='".$id."'");
	$data = dbarray($result);
	$value = $data[$field];
	return $value;
}

function getMarketUser($id) {
	$result = dbquery("SELECT * FROM ".DB_USERS." WHERE user_id='".$id."'");
	$data = dbarray($result);
	$value = $data['user_name'];
	return $value;
}

function getMarketSet($field) {
	$data = dbarray(dbquery("SELECT * FROM ".MG_MARKET_SET." WHERE settings_id='1'"));
	$value = $data[$field];
	return $value;
}

function getMarketImage($action) {
	$image = MARKTPLATZ."images/".$action.".png";
	return $image;
}

function navigation($id) {
	global $sub;
	$result = dbquery("SELECT * FROM ".MG_MARKET_KAT." WHERE kat_id='".$id."' ORDER BY kat_name");
	while ($cdata = dbarray($result)) {
		navigation($cdata['top_kat']);
		$sub .= "<a class='selected' href='".FUSION_SELF."?kat_id=".$cdata['kat_id']."'>".$cdata['kat_name']."</a>";
	}
return $sub;
}

function mynl2br($text) {
   return strtr($text, array("\r\n" => '<br />', "\r" => '<br />', "\n" => '<br />'));
}

function trimDesc($text, $length, $id) {
	global $locale;
	$dec = array("&", "\"", "'", "\\", '\"', "\'", "<", ">");
	$enc = array("&amp;", "&quot;", "&#39;", "&#92;", "&quot;", "&#39;", "&lt;", "&gt;");
	$text1 = str_replace($enc, $dec, $text);
	if (strlen($text) > $length) $text1 = substr($text, 0, ($length-3))."...";
	$text1 = str_replace($dec, $enc, $text1);
	if (strlen($text) > $length) {
		$text1 .= " <a href='".MARKTPLATZ."mg_anzeigenmarkt.php?market_id=".$id."'>".$locale['MG_MARKT_0201']."</a>";
		return $text1;
	} else {
		return $text;
	}
}

function marketPassedTime($zeit){
	global $locale;
		$vergangeneZeit = (time () - $zeit);
		$tag  = floor($vergangeneZeit / (3600*24));
		$std  = floor($vergangeneZeit / 3600 % 24);
		$min  = floor($vergangeneZeit / 60 % 60);
		$sek  = floor($vergangeneZeit % 60);

		if ($vergangeneZeit < 60) {
			$seit = $sek." ".$locale['MG_MARKT_0202'];
		} elseif ($vergangeneZeit >= 60 && $vergangeneZeit < 3600) {
			$seit = $min." ".$locale['MG_MARKT_0203']." ".$sek." ".$locale['MG_MARKT_0202'];
		} elseif ($vergangeneZeit >= 3600 && $vergangeneZeit < 86400) {
			$seit = $std." ".$locale['MG_MARKT_0204']." ".$min." ".$locale['MG_MARKT_0203'];
		} elseif ($vergangeneZeit < 2592000 ) {
			$seit = $tag." ".$locale['MG_MARKT_0205'];
		} else {
			$seit = "";
		}
		return $seit;
}

function marketRestTime($zeit){
	global $locale;
		$verbleibendeZeit = ($zeit - time ());
		$tag  = floor($verbleibendeZeit / (3600*24));
		$std  = floor($verbleibendeZeit / 3600 % 24);
		$min  = floor($verbleibendeZeit / 60 % 60);
		$sek  = floor($verbleibendeZeit % 60);

		if ($verbleibendeZeit < 60) {
			$bis = "<span style='color:red;'>".$sek." ".$locale['MG_MARKT_0202']."</span>";
		} elseif ($verbleibendeZeit >= 60 && $verbleibendeZeit < 3600) {
			$bis = "<span style='color:red;'>".$min." ".$locale['MG_MARKT_0203']." ".$sek." ".$locale['MG_MARKT_0202']."</span>";
		} elseif ($verbleibendeZeit >= 3600 && $verbleibendeZeit < 86400) {
			$bis = $std." ".$locale['MG_MARKT_0204']." ".$min." ".$locale['MG_MARKT_0203'];
		} elseif ($verbleibendeZeit < 2592000 ) {
			$bis = $tag." ".$locale['MG_MARKT_0205'];
		} else {
			$bis = "";
		}
		return $bis;
}

function marketCleanUp($text) {
	global $locale;
	$suche = array("");
	$ersetze = "";
	$text = str_replace($suche, $ersetze, $text);
	$text = preg_replace('#\[b\](.*?)\[/b\]#si', '\1', $text);
	$text = preg_replace('#\[i\](.*?)\[/i\]#si', '\1', $text);
	$text = preg_replace('#\[u\](.*?)\[/u\]#si', '\1', $text);
	$text = preg_replace('#\[center\](.*?)\[/center\]#si', '\1', $text);
	$text = preg_replace('#\[left\](.*?)\[/left\]#si', '\1', $text);
	$text = preg_replace('#\[right\](.*?)\[/right\]#si', '\1', $text);
	$text = preg_replace('#\[big\](.*?)\[/big\]#si', '\1', $text);
	$text = preg_replace('#\[color=([\#a-f0-9]*?)\](.*?)\[/color\]#si', '\2', $text);
	$text = preg_replace('#\[bcolor=([\#a-f0-9]*?)\](.*?)\[/bcolor\]#si', '\2', $text);
	$text = preg_replace('#\[size=(12|16|20|24|28|32)\](.*?)\[/size\]#si', '\2', $text);
	$text = preg_replace("#\[img\]((http|ftp|https|ftps)://)(.*?)(\.(jpg|jpeg|gif|png|JPG|JPEG|GIF|PNG))\[/img\]#sie", $locale['MG_MARKT_0206'], $text);
	// $text = str_replace("<br />", " ", $text);

	$result = dbquery("SELECT * FROM ".DB_SMILEYS."");
	while ($smiley = dbarray($result)) {
		$text = str_replace($smiley['smiley_code'], " ", $text);
	}
	return($text);
}

function berechneScores($text) {
	global $locale;
	$suche = array("");
	$ersetze = "";
	$text = str_replace($suche, $ersetze, $text);
	$text = preg_replace('#\[b\](.*?)\[/b\]#si', '\1', $text);
	$text = preg_replace('#\[i\](.*?)\[/i\]#si', '\1', $text);
	$text = preg_replace('#\[u\](.*?)\[/u\]#si', '\1', $text);
	$text = preg_replace('#\[center\](.*?)\[/center\]#si', '\1', $text);
	$text = preg_replace('#\[left\](.*?)\[/left\]#si', '\1', $text);
	$text = preg_replace('#\[right\](.*?)\[/right\]#si', '\1', $text);
	$text = preg_replace('#\[big\](.*?)\[/big\]#si', '\1', $text);
	$text = preg_replace('#\[color=([\#a-f0-9]*?)\](.*?)\[/color\]#si', '\2', $text);
	$text = preg_replace('#\[bcolor=([\#a-f0-9]*?)\](.*?)\[/bcolor\]#si', '\2', $text);
	$text = preg_replace('#\[size=(12|16|20|24|28|32)\](.*?)\[/size\]#si', '\2', $text);
	$text = preg_replace("#\[img\]((http|ftp|https|ftps)://)(.*?)(\.(jpg|jpeg|gif|png|JPG|JPEG|GIF|PNG))\[/img\]#sie", $locale['MG_MARKT_0206'], $text);
	// $text = str_replace("<br />", " ", $text);

	$result = dbquery("SELECT * FROM ".DB_SMILEYS."");
	while ($smiley = dbarray($result)) {
		$text = str_replace($smiley['smiley_code'], "", $text);
	}
	return($text);
}

function marketWordWrap($text) {

	$i = 0; $tags = 0; $chars = 0; $res = "";

	$str_len = strlen($text);

	for ($i = 0; $i < $str_len; $i++) {
		$chr = substr($text, $i, 1);
		if ($chr == "<") {
			if (substr($text, ($i + 1), 6) == "a href" || substr($text, ($i + 1), 3) == "img") {
				$chr = " ".$chr;
				$chars = 0;
			}
			$tags++;
		} elseif ($chr == "&") {
			if (substr($text, ($i + 1), 5) == "quot;") {
				$chars = $chars - 5;
			} elseif (substr($text, ($i + 1), 4) == "amp;" || substr($text, ($i + 1), 4) == "#39;" || substr($text, ($i + 1), 4) == "#92;") {
				$chars = $chars - 4;
			} elseif (substr($text, ($i + 1), 3) == "lt;" || substr($text, ($i + 1), 3) == "gt;") {
				$chars = $chars - 3;
			}
		} elseif ($chr == ">") {
			$tags--;
		} elseif ($chr == " ") {
			$chars = 0;
		} elseif (!$tags) {
			$chars++;
		}

		if (!$tags && $chars == 60) {
			$chr .= "<br />";
			$chars = 0;
		}
		$res .= $chr;
	}

	return $res;
}

function marketCopyright() {
	$folder = "mg_anzeigenmarkt";

	$data_version = dbarray(dbquery("SELECT inf_version, inf_title FROM ".DB_INFUSIONS." WHERE inf_folder = '".$folder."'"));
	$version = $data_version['inf_version'];
	$title = $data_version['inf_title'];
	$title = str_replace("MG ", "", $title);
	$string = " ".$title." ".$version;
	$copyright = "<div style='text-align: right;padding:5px;'><a href='http://phpfusion.marcusg.de' target='_blank' title=''><img src='".INFUSIONS.$folder."/copyright.php?string=".$string."' border='0' alt='' title='&copy; ".showdate("%Y",time())." by MarcusG' style='height:18px;' /></a></div>";
	return $copyright;
}
?>

<script type="text/javascript">
function setItemsPerPage(value) {
	var items = value;
	var ablauf = new Date();
	var datum = ablauf.getTime() + (365 * 24 * 60 * 60 * 1000);
	ablauf.setTime(datum);
	document.cookie =  "items_per_page=" + items + "; path=/; expires=" + ablauf.toGMTString();
}

function setOrderby(value) {
	var items = value;
	var ablauf = new Date();
	var datum = ablauf.getTime() + (365 * 24 * 60 * 60 * 1000);
	ablauf.setTime(datum);
	document.cookie =  "sortieren=" + items + "; path=/; expires=" + ablauf.toGMTString();
}
</script>