<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mg_anzeigenmarkt_anzeige_druck.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

// Turn off all error reporting
error_reporting(0);
// Report all PHP errors (see changelog)
//error_reporting(E_ALL);
//error_reporting(E_ALL & ~E_NOTICE);

include INFUSIONS."mg_anzeigenmarkt/infusion_db.php";
include_once INFUSIONS."mg_anzeigenmarkt/includes/functions.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(MARKTPLATZ."locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include MARKTPLATZ."locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include MARKTPLATZ."locale/German.php";
}
echo "
<link rel='stylesheet' type='text/css' href='".MARKTPLATZ."includes/mg_anzeigenmarkt_print.css' />\n
";

if (!isset($_GET['market_id'])) {
	redirect(FUSION_SELF);
} else {
	$the_market_id = stripinput($_GET['market_id']);

	$kat = dbarray(dbquery("SELECT * FROM ".MG_MARKET_KAT." WHERE kat_id='".getMarketValue($the_market_id, 'market_kat')."'"));
	if (!checkgroup($kat['kat_access'])) {
		redirect(FUSION_SELF);
	}
// Main
echo "<div id='market_main'>";
// Inhalt
echo "<div class='market_name'>".getMarketSet('market_name')."</div>";
echo "<center><big>".(getKatValue(getMarketValue($the_market_id, 'market_kat'), 'main_kat') == "s" ? $locale['MG_MARKT_0616'] : $locale['MG_MARKT_0617'])." > ".(getKatValue(getMarketValue($the_market_id, 'market_kat'), 'top_kat') != "0" ? getKatValue(getKatValue(getMarketValue($the_market_id, 'market_kat'), 'top_kat'), 'kat_name')." > " : "").getKatValue(getMarketValue($the_market_id, 'market_kat'), 'kat_name')." > ".getMarketValue($the_market_id, 'market_name')."</big></center><br /><br />";
echo "<div id='market_content'>";
			
echo "<h1>".getMarketValue($the_market_id, 'market_name')."</h1><br />";
echo "".mynl2br(parseubb(parsesmileys(getMarketValue($the_market_id, 'market_desc'))))."<br /><br />";
echo "<strong><u>".$locale['MG_MARKT_0615']."</u>&nbsp;".(getMarketValue($the_market_id, 'market_preis_min') == "0" && getMarketValue($the_market_id, 'market_preis_max') == "0" ? "---" : (getMarketValue($the_market_id, 'market_preis_min') != "0" ? number_format(getMarketValue($the_market_id, 'market_preis_min'), 2, ',', '.')." ".$locale['MG_MARKT_accurancy']." " : "").(getMarketValue($the_market_id, 'market_preis_max') != "0" ? " ".$locale['MG_MARKT_0618']." ".number_format(getMarketValue($the_market_id, 'market_preis_max'), 2, ',', '.')." ".$locale['MG_MARKT_accurancy']."" : ""))."</strong><br /><br />";
echo "<table class='market_infos' cellpadding='3' cellspacing='0' width='100%'>";
echo "<tr>
		<td class='anzeige_titel'>".$locale['MG_MARKT_0619']."</td>
		<td class='anzeige_content'>".getMarketUser(getMarketValue($the_market_id, 'market_user'))."</td>
	</tr>";
if (iMEMBER || getMarketValue($the_market_id, 'market_infos_public') == "1") {
	if (getMarketValue($the_market_id, 'market_str') != "") {
echo "<tr>
		<td class='anzeige_titel'>".$locale['MG_MARKT_0620']."</td>
		<td class='anzeige_content'>".getMarketValue($the_market_id, 'market_str')."</td>
	</tr>";
	}
echo "<tr>
		<td class='anzeige_titel'>".$locale['MG_MARKT_0621']."</td>
		<td class='anzeige_content'>".getMarketValue($the_market_id, 'market_plz')."</td>
	</tr>";
echo "<tr>
		<td class='anzeige_titel'>".$locale['MG_MARKT_0622']."</td>
		<td class='anzeige_content'>".getMarketValue($the_market_id, 'market_ort')."</td>
	</tr>";
	if (getMarketValue($the_market_id, 'market_tel') != "") {
echo "<tr>
		<td class='anzeige_titel'>".$locale['MG_MARKT_0623']."</td>
		<td class='anzeige_content'>".getMarketValue($the_market_id, 'market_tel')."</td>
	</tr>";
	}
}
echo "<tr>
		<td class='anzeige_titel'>".$locale['MG_MARKT_0624']."</td>
		<td class='anzeige_content'>".showdate("%d.%m.%Y %H:%M", getMarketValue($the_market_id, 'market_start_time'))."</td>
	</tr>";
	if (getMarketValue($the_market_id, 'market_end_time') != "0") {
echo "<tr>
		<td class='anzeige_titel'>".$locale['MG_MARKT_0625']."</td>
		<td class='anzeige_content'>".showdate("%d.%m.%Y %H:%M", getMarketValue($the_market_id, 'market_end_time'))."</td>
	</tr>";
	}
	
	
echo "</table>";
echo "<br />".sprintf($locale['MG_MARKT_0626'], getMarketValue($the_market_id, 'market_views'));
// Gebote
if(iMEMBER) {
echo "<div id='market_gebote'>";
$result = dbquery("SELECT * FROM ".MG_MARKET_GEBOTE." WHERE market_id='".$the_market_id."' ORDER BY gebot_preis DESC");
if (dbrows($result)) {
	$highest_gebot = dbarray(dbquery("SELECT * FROM ".MG_MARKET_GEBOTE." WHERE market_id='".$the_market_id."' ORDER BY gebot_preis DESC LIMIT 0,1"));
	echo $locale['MG_MARKT_0628']." <strong>".number_format($highest_gebot['gebot_preis'], 2, ',', '.')." ".$locale['MG_MARKT_accurancy']."</strong>.<br />";
	if (getMarketValue($the_market_id, 'market_user') == $userdata['user_id']) {
		echo "<br /><b>".$locale['MG_MARKT_0627']."</b><br />";
		while ($data = dbarray($result)) {
			echo "".MARKET_BULLET."&nbsp;<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".getMarketUser($data['user_id'])."</a>:&nbsp;".number_format($data['gebot_preis'], 2, ',', '.')." ".$locale['MG_MARKT_accurancy']."<br />";
		}
		echo "<br />";
	}
}

if (check_Gebotliste($the_market_id) == true) {
	echo $locale['MG_MARKT_0629'].":&nbsp;".GetGebot($the_market_id)."&nbsp;".$locale['MG_MARKT_accurancy']."&nbsp;";
}
echo "</div>";
}
echo "</div>";
// Anzeigen-Bild
echo "<div id='market_image'>";
	if (getMarketValue($the_market_id, 'market_img') != "") {
		echo "<img src='".MARKTPLATZ."user_images/".getMarketValue($the_market_id, 'market_img')."' style='max-width:220px;' />";
	} else {
		echo $locale['MG_MARKT_0634'];
	}

	echo "</div>";
echo "<br clear='both' />";
// Buttons
echo "<div style='text-align:center;'>
<form>
<input type='button' class='button' value=' ".$locale['MG_MARKT_0635']." ' onClick='javascript:window.print()'>&nbsp;
<input type='button' class='button' value=' ".$locale['MG_MARKT_0636']." ' onClick='javascript:window.close()'>
</form>
</div>";

echo "</div>";

	
}

?>