<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mg_anzeigenmarkt_edit.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (iMEMBER && isset($_GET['market_id'])) {
	$the_market_id = stripinput($_GET['market_id']);
if (isset($_GET['del_pic'])) {
	$pfad = MARKTPLATZ."user_images/";
	if(!is_writable(MARKTPLATZ."user_images")) {
		redirect(FUSION_SELF."?anzeige_edit=true&amp;market_id=".$the_market_id."&amp;file_error=true");
	} else {
		$pic = getMarketValue($the_market_id, 'market_img');
		@unlink($pfad.$pic);
		$result = dbquery("UPDATE ".MG_MARKET." SET market_img='' WHERE market_id='".$the_market_id."'");
		redirect(FUSION_SELF."?anzeige_edit=true&amp;market_id=".$the_market_id."");
	}
} elseif (isset($_POST['edit_anzeige_speichern'])) {
	if ($_POST['market_kat'] == "" || $_POST['market_name'] == "" || $_POST['market_desc'] == "" || $_POST['market_plz'] == "" || $_POST['market_ort'] == "") {
		redirect(FUSION_SELF."?anzeige_edit=true&amp;market_id=".$the_market_id."&amp;edit_error=true");
	} else {
		$market_kat = stripinput($_POST['market_kat']);
		$market_user = stripinput($_POST['market_user']);
		$market_name = stripinput($_POST['market_name']);
		$market_desc = stripinput($_POST['market_desc']);
		$market_str = stripinput($_POST['market_str']);
		$market_plz = stripinput($_POST['market_plz']);
		$market_ort = stripinput($_POST['market_ort']);
		$market_tel = stripinput($_POST['market_tel']);
		$market_preis_min = stripinput($_POST['market_preis_min']);
		$market_preis_max = stripinput($_POST['market_preis_max']);
		$market_premium = stripinput($_POST['market_premium']);
		$market_infos_public = stripinput($_POST['market_infos_public']);
		$market_aktiv = stripinput($_POST['market_aktiv']);
		$market_end_time = strtotime($_POST['market_end_time']);


		$pfad = MARKTPLATZ."user_images/";
		if(!is_writable(MARKTPLATZ."user_images")) {
			redirect(FUSION_SELF."?anzeige_edit=true&amp;market_id=".$the_market_id."&amp;file_error=true");
		}
		$allowed_filetypes = array('.jpg','.jpeg','.gif','.png'); // These will be the types of file that will pass the validation.

		$file_name = $_FILES['market_img']['name'];
		$ext = strtolower(substr($file_name, strpos($file_name,'.'), strlen($file_name)-1)); // Get the extension from the filename.

		// Check if the filetype is allowed, if not DIE and inform the user.
		if($file_name != "" && !in_array($ext,$allowed_filetypes)) {
			redirect(FUSION_SELF."?anzeige_edit=true&amp;market_id=".$the_market_id."&amp;ext_error=true&amp;ext=".$ext."");
		} else {

			srand(microtime()*1000000);
			$zufall = rand(1,10000000);
			$pref = sprintf("%08s", $zufall);
			$file_name = stripslashes($file_name);
			$suche = array(" ", "'", "(", ")", "[", "]", "", "$", "%", "&", "=", "?", ";", ":", "-");
			$ersetze = "_";
			$file_name = str_replace($suche, $ersetze,$file_name);
			$file_name = $pref.time().$ext;
			$copy = @move_uploaded_file($_FILES['market_img']['tmp_name'],$pfad . "temp_".$file_name);

			// Examine whether the image in the size needs to be changed
			$size = @GetImageSize($pfad . "temp_".$file_name);
			$width = $size[0];
			$height = $size[1];
			// $admin_height = 500;
			// $admin_width = 500;
			$admin_height = getMarketSet('img_height');
			$admin_width = getMarketSet('img_width');

			if ($height > $admin_height && $width > $admin_width) {
				$resize = "both";
			} elseif ($height > $admin_height) {
				$resize = "height";
			} elseif ($width > $admin_width) {
				$resize = "width";
			} else {
				$resize = "none";
			}
			switch ($resize) {
				case "both":
					$new_height = $admin_height;
					$new_width = $admin_width;
					include(MARKTPLATZ."includes/SimpleImage.php");
					$image = new SimpleImage();
					$image->load($pfad . "temp_".$file_name);
					$image->resizeToHeight($new_height);
					$image->save($pfad . "resize_".$file_name);
					$size_new = @GetImageSize($pfad . "resize_".$file_name);
					$width_new = $size_new[0];
					$height_new = $size_new[1];
					if ($width_new > $admin_width) {
						$image = new SimpleImage();
						$image->load($pfad . "resize_".$file_name);
						$image->resizeToWidth($new_width);
						$image->save($pfad . "resize_".$file_name);
					}
					rename ($pfad . "resize_".$file_name, $pfad . $file_name);
					@unlink($pfad . "temp_".$file_name);
				break;
				case "height":
					$new_height = $admin_height;
					include(MARKTPLATZ."includes/SimpleImage.php");
					$image = new SimpleImage();
					$image->load($pfad . "temp_".$file_name);
					$image->resizeToHeight($new_height);
					$image->save($pfad . $file_name);
					@unlink($pfad . "temp_".$file_name);
				break;
				case "width":
					$new_width = $admin_width;
					include(MARKTPLATZ."includes/SimpleImage.php");
					$image = new SimpleImage();
					$image->load($pfad . "temp_".$file_name);
					$image->resizeToWidth($new_width);
					$image->save($pfad . $file_name);
					@unlink($pfad . "temp_".$file_name);
				break;
				case "none":
					rename ($pfad . "temp_".$file_name, $pfad . $file_name);
					chmod($pfad.$file_name, 0777);
				break;
			}


			// chmod($pfad.$file_name, 0777);
			if (!verify_image($pfad . $file_name)) {
				@unlink($pfad.$file_name);
				redirect(FUSION_SELF."?anzeige_edit=true&amp;market_id=".$the_market_id."&amp;sec_error=true");
			}
			// check if successfully copied
			if($copy){
				$file_ok = $file_name;
				$score_bild_berechnen = true;
				$gesamt_kosten = $gesamt_kosten + getMarketSet('score_img');
			} else {
				$file_ok = getMarketValue($the_market_id, 'market_img');
				$score_bild_berechnen = false;
				$gesamt_kosten = $gesamt_kosten;
			}

			$score_desc = berechneScores($market_desc);
			$char_count = strlen($score_desc);
			$char_count_alt = strlen(getMarketValue($the_market_id, 'market_desc'));
			$differenz = $char_count - $char_count_alt;
			$kosten = ($differenz <= 0 ? "0" : $differenz * getMarketSet('score_pro_char'));
			if ($market_premium == "1" && getMarketValue($the_market_id, 'market_premium') == "0") {
				$gesamt_kosten = $kosten + getMarketSet('score_premium');
				$score_premium_berechnen = true;
			} else {
				$gesamt_kosten = $kosten;
				$score_premium_berechnen = false;
			}

			if (checkScoreGuthaben($userdata['user_id']) >= $gesamt_kosten) {
				if (defined("SCORESYSTEM") && $kosten != "0") {
					score_free(sprintf($locale['MG_MARKT_0500e'], $differenz, getMarketSet('score_pro_char')), "MANDS", $kosten, 9999, "N", 0, $market_user);
				}
				if (defined("SCORESYSTEM") && $score_bild_berechnen == true) {
					$bildkosten = getMarketSet('score_img')." ".$locale['MG_MARKT_score_def'];
					score_free(sprintf($locale['MG_MARKT_0501e'], getMarketSet('score_img')), "MANIM", getMarketSet('score_img'), 9999, "N", 0, $market_user);
				} else {
					$bildkosten = "0";
				}
				if (defined("SCORESYSTEM") && $score_premium_berechnen == true) {
					$prem_kosten = getMarketSet('score_premium')." ".$locale['MG_MARKT_score_def'];
					score_free($locale['MG_MARKT_0502e'], "MANPR", getMarketSet('score_premium'), 9999, "N", 0, $market_user);
				} else {
					$prem_kosten = "0";
				}

				$result = dbquery("UPDATE ".MG_MARKET." SET
				market_kat = '".$market_kat."',
				market_user = '".$market_user."',
				market_name = '".$market_name."',
				market_desc = '".$market_desc."',
				market_img = '".$file_ok."',
				market_str = '".$market_str."',
				market_plz = '".$market_plz."',
				market_ort = '".$market_ort."',
				market_tel = '".$market_tel."',
				market_preis_min = '".$market_preis_min."',
				market_preis_max = '".$market_preis_max."',
				market_end_time = '".$market_end_time."',
				market_premium = '".$market_premium."',
				market_infos_public = '".$market_infos_public."',
				market_aktiv = '".$market_aktiv."'
				WHERE market_id='".$the_market_id."'
				");

				redirect(FUSION_SELF."?mein_markt=true");

			} else {
				@unlink($pfad.$file_name);
				redirect(FUSION_SELF."?anzeige_add=true&amp;score_error=true");
			}
		}
	}
} else {
	if (isset($_GET['edit_error'])) {
		echo "<div class='market_error'><br />".$locale['MG_MARKT_0505']."<br /><br /></div>";
	}
	if (isset($_GET['file_error'])) {
		echo "<div class='market_error'><br />".$locale['MG_MARKT_0506']." \"".MARKTPLATZ."user_images\"!<br /><br /></div>";
	}
	if (isset($_GET['score_error'])) {
		echo "<div class='market_error'><br />".$locale['MG_MARKT_0507']."<br /><br /></div>";
	}
	if (isset($_GET['ext_error'])) {
		echo "<div class='market_error'><br />".sprintf($locale['MG_MARKT_0508'], $_GET['ext'])."<br /><br /></div>";
	}
	if (isset($_GET['sec_error'])) {
		echo "<div class='market_error'><br />".$locale['MG_MARKT_0509']."<br /><br /></div>";
	}
add_to_head("
<link rel='stylesheet' type='text/css' href='".MARKTPLATZ."includes/datePicker.css' />\n
<script type='text/javascript' src='".MARKTPLATZ."includes/date.js'></script>
<script type='text/javascript' src='".MARKTPLATZ."includes/jquery.datePicker.js'></script>\n
<script type='text/javascript' charset='utf-8'>
	$.dpText = {
		TEXT_PREV_YEAR		:	'".$locale['MG_MARKT_0510']."',
		TEXT_PREV_MONTH		:	'".$locale['MG_MARKT_0511']."',
		TEXT_NEXT_YEAR		:	'".$locale['MG_MARKT_0512']."',
		TEXT_NEXT_MONTH		:	'".$locale['MG_MARKT_0513']."',
		TEXT_CLOSE			:	'".$locale['MG_MARKT_0514']."',
		TEXT_CHOOSE_DATE	:	'".$locale['MG_MARKT_0515']."'
	}
	$(function()
	{
		$('.date-pick').datePicker({displayClose:true});
		$('.date-pick').dpSetPosition($.dpConst.POS_BOTTOM, $.dpConst.POS_RIGHT);
	});
</script>
");
echo "<br />
	<form name='anzeige_edit_form' enctype='multipart/form-data' method='post' action='".FUSION_SELF."?anzeige_edit=true&amp;market_id=".$the_market_id."'>
		<table class='tbl-border center' cellpadding='3' cellspacing='0' width='100%'>
			<tr class='tbl2' style='text-align:center; font-weight:bold;'>
				<td colspan='2'>".$locale['MG_MARKT_0516e']."</td>
			</tr>";
		echo "<tr class='tbl1'>
				<td style='text-align:right; width:50%;'>
					<label class='ferror' for='market_kat' id='market_kat_error'>&nbsp;".$locale['MG_MARKT_0517']."</label>
					".$locale['MG_MARKT_0518']."
					<span style='font-weight:bold;color:red;'>&nbsp;*</span>
				</td>
				<td style='text-align:left;'>";
					$kategorie = "<option value='0'>".$locale['MG_MARKT_0519']."</otion>";

					$s_kategorie_res = dbquery("SELECT kat_id, kat_name FROM ".MG_MARKET_KAT." WHERE main_kat='s' AND top_kat='0' AND ".groupaccess('kat_access')." ORDER BY top_kat, kat_order");
					$b_kategorie_res = dbquery("SELECT kat_id, kat_name FROM ".MG_MARKET_KAT." WHERE main_kat='b' AND top_kat='0' AND ".groupaccess('kat_access')." ORDER BY top_kat, kat_order");

					if (dbrows($s_kategorie_res)) {
						$kategorie .= "<optgroup label='".$locale['MG_MARKT_0520']."'>";
						while ($s_kategorie = dbarray($s_kategorie_res)) {
							$kategorie .= "<option value='".$s_kategorie['kat_id']."'".(getMarketValue($the_market_id, 'market_kat') == $s_kategorie['kat_id'] ? " selected" : "").">".$s_kategorie['kat_name']."</otion>";
							$s_sub_kategorie_res = dbquery("SELECT * FROM ".MG_MARKET_KAT." WHERE main_kat='s' AND top_kat='".$s_kategorie['kat_id']."' AND ".groupaccess('kat_access')." ORDER BY kat_order");
							if (dbrows($s_sub_kategorie_res)) {
								while ($s_sub_kategorie = dbarray($s_sub_kategorie_res)) {
									$kategorie .= "<option value='".$s_sub_kategorie['kat_id']."'".(getMarketValue($the_market_id, 'market_kat') == $s_sub_kategorie['kat_id'] ? " selected" : "").">-- ".$s_sub_kategorie['kat_name']."</otion>";
								}
							}
						}
					$kategorie .= "</optgroup>";
					}
					if (dbrows($b_kategorie_res)) {
						$kategorie .= "<optgroup label='".$locale['MG_MARKT_0521']."'>";
						while ($b_kategorie = dbarray($b_kategorie_res)) {
							$kategorie .=  "<option value='".$b_kategorie['kat_id']."'".(getMarketValue($the_market_id, 'market_kat') == $b_kategorie['kat_id'] ? " selected" : "").">".$b_kategorie['kat_name']."</otion>";
							$b_sub_kategorie_res = dbquery("SELECT * FROM ".MG_MARKET_KAT." WHERE main_kat='b' AND top_kat='".$b_kategorie['kat_id']."' AND ".groupaccess('kat_access')." ORDER BY kat_order");
							if (dbrows($b_sub_kategorie_res)) {
								while ($b_sub_kategorie = dbarray($b_sub_kategorie_res)) {
									$kategorie .= "<option value='".$b_sub_kategorie['kat_id']."'".(getMarketValue($the_market_id, 'market_kat') == $b_sub_kategorie['kat_id'] ? " selected" : "").">-- ".$b_sub_kategorie['kat_name']."</otion>";
								}
							}
						}
						$kategorie .=  "</optgroup>";
					}
				echo "<select name='market_kat' id='market_kat' class='textbox' style='width:240px;'>".$kategorie."</select>
				</td>
			</tr>";
		echo "<tr class='tbl1'>
				<td style='text-align:right;'>
					<label class='ferror' for='market_name' id='market_name_error'>&nbsp;".$locale['MG_MARKT_0517']."</label>
					".$locale['MG_MARKT_0522']."
					<span style='font-weight:bold;color:red;'>&nbsp;*</span>
				</td>
				<td style='text-align:left;'><input type='text' class='textbox' name='market_name' id='market_name' style='width:240px;' value='".getMarketValue($the_market_id, 'market_name')."' /></td>
			</tr>";
		include_once INCLUDES."bbcode_include.php";
		echo "<tr class='tbl1'>
				<td style='text-align:right;vertical-align:top;'>
					<label class='ferror' for='market_desc' id='market_desc_error'>&nbsp;".$locale['MG_MARKT_0517']."</label>
					".$locale['MG_MARKT_0523']."
					<span style='font-weight:bold;color:red;'>&nbsp;*</span>
					</td>
				<td style='text-align:left;vertical-align:top;'><textarea class='textbox expand40-500' name='market_desc' id='market_desc' rows='2' cols='50' style='width:240px;'>".getMarketValue($the_market_id, 'market_desc')."</textarea>
					".display_bbcodes("300px;", "market_desc", "anzeige_edit_form", "smiley|b|i|u|big|center|color");
				if (defined("SCORESYSTEM")) {
					echo "<span id='chars'>".sprintf($locale['MG_MARKT_0524'], getMarketSet('score_pro_char'))."</span>&nbsp;<span id='desc_tip' style='font-weight:bold;color:red;cursor:help;'>?</span><div id='desc_tip_tip' class='markt_tooltips'>".$locale['MG_MARKT_0525']."</div>";
				}
			echo "</td>
			</tr>";
		echo "<tr class='tbl1'>
				<td style='text-align:right;'>
					".$locale['MG_MARKT_0526']."&nbsp;&nbsp;
				</td>
				<td style='text-align:left;'>";
				if (getMarketValue($the_market_id, 'market_img') == "") {
					if (checkScoreGuthaben($userdata['user_id']) >= getMarketSet('score_img')) {
						echo "<input type='file' class='textbox' name='market_img' id='market_img' size='35' /><br />
					<span id='info_img'>";
					if (defined("SCORESYSTEM")) {
						echo sprintf($locale['MG_MARKT_0527'], getMarketSet('score_img'))." ".getMarketSet('img_width')." x ".getMarketSet('img_height');
					} else {
						echo sprintf($locale['MG_MARKT_0527a'], getMarketSet('img_width'), getMarketSet('img_height'));
					}
				echo "</span>";
			} else {
				echo $locale['MG_MARKT_0528'];
			}
				} else {
					echo "<img src='".MARKTPLATZ."user_images/".getMarketValue($the_market_id, 'market_img')."' style='max-width:240px;' /><br />".$locale['MG_MARKT_0529'].":&nbsp;<a onclick=\"return confirm('".$locale['MG_MARKT_0530']."');\" href='".FUSION_SELF."?anzeige_edit=true&amp;market_id=".$the_market_id."&amp;del_pic=true'><img src='".getMarketImage("d_delete")."' title='".$locale['MG_MARKT_0529']."' style='padding-left:4px;vertical-align:middle;' /></a>";
				}
				echo "</td>
			</tr>";
		echo "<tr class='tbl1'>
				<td style='text-align:right;'>
					".$locale['MG_MARKT_0531']."
					&nbsp;&nbsp;
				</td>
				<td style='text-align:left;'>
					<input type='text' class='textbox' name='market_str' id='market_str' style='width:240px;' value='".getMarketValue($the_market_id, 'market_str')."' />
				</td>
			</tr>";
		echo "<tr class='tbl1'>
				<td style='text-align:right;'>
					<label class='ferror' for='market_plz' id='market_plz_error'>&nbsp;".$locale['MG_MARKT_0517']."</label>
					".$locale['MG_MARKT_0532']."
					<span style='font-weight:bold;color:red;'>&nbsp;*</span>
				</td>
				<td style='text-align:left;'>
					<input type='text' class='textbox' name='market_plz' id='market_plz' style='width:240px;' value='".getMarketValue($the_market_id, 'market_plz')."' />
				</td>
			</tr>";
		echo "<tr class='tbl1'>
				<td style='text-align:right;'>
					<label class='ferror' for='market_ort' id='market_ort_error'>&nbsp;".$locale['MG_MARKT_0517']."</label>
					".$locale['MG_MARKT_0533']."
					<span style='font-weight:bold;color:red;'>&nbsp;*</span>
				</td>
				<td style='text-align:left;'>
					<input type='text' class='textbox' name='market_ort' id='market_ort' style='width:240px;' value='".getMarketValue($the_market_id, 'market_ort')."' />
				</td>
			</tr>";
		echo "<tr class='tbl1'>
				<td style='text-align:right;'>
					".$locale['MG_MARKT_0534']."
					&nbsp;&nbsp;
				</td>
				<td style='text-align:left;'>
					<input type='text' class='textbox' name='market_tel' id='market_tel' style='width:240px;' value='".getMarketValue($the_market_id, 'market_tel')."' />
				</td>
			</tr>";
		echo "<tr class='tbl1'>
				<td style='text-align:right;vertical-align:top;'>
					".$locale['MG_MARKT_0535']."&nbsp;&nbsp;
				</td>
				<td style='text-align:left;'><span id='market_infos_public'>
					<input type='radio' name='market_infos_public' value='1'".(getMarketValue($the_market_id, 'market_infos_public') == "1" ? " checked" : "")." />&nbsp;".$locale['MG_MARKT_0536']."
					<input type='radio' name='market_infos_public' value='0'".(getMarketValue($the_market_id, 'market_infos_public') == "0" ? " checked" : "")." />&nbsp;".$locale['MG_MARKT_0537']."</span><br />
					<span id='info_market_infos_public'>(".$locale['MG_MARKT_0538'].")</span>
				</td>
			</tr>";
		echo "<tr class='tbl1'>
				<td style='text-align:right;vertical-align:top;'>
					".$locale['MG_MARKT_0539']."
					&nbsp;&nbsp;
				</td>
				<td style='text-align:left;'>
					<input type='text' class='textbox' name='market_preis_min' id='market_preis_min' style='width:140px;' value='".getMarketValue($the_market_id, 'market_preis_min')."' />&nbsp;".$locale['MG_MARKT_accurancy']."<br />
					<span id='info_preis_min'>(".$locale['MG_MARKT_0540'].")</span>
				</td>
			</tr>";
		echo "<tr class='tbl1'>
				<td style='text-align:right;vertical-align:top;'>
					".$locale['MG_MARKT_0541']."&nbsp;&nbsp;
				</td>
				<td style='text-align:left;'>
					<input type='text' class='textbox' name='market_preis_max' id='market_preis_max' style='width:140px;' value='".(getMarketValue($the_market_id, 'market_preis_max') != "0" ? getMarketValue($the_market_id, 'market_preis_max') : "")."'  />&nbsp;".$locale['MG_MARKT_accurancy']."<br />
					<span id='info_preis_max'>(".$locale['MG_MARKT_0542'].")</span>
				</td>
			</tr>";
		echo "<tr class='tbl1'>
				<td style='text-align:right;vertical-align:top;'>
					".$locale['MG_MARKT_0543']."&nbsp;&nbsp;
				</td>
				<td style='text-align:left;'>
					<input type='text' class='textbox date-pick' name='market_end_time' id='market_end_time' style='width:120px;' value='".(getMarketValue($the_market_id, 'market_end_time') != "0" ? showdate("%d.%m.%Y %H:%M", getMarketValue($the_market_id, 'market_end_time')) : "")."' />&nbsp;
					<img id='date_clear' src='".getMarketImage("d_delete")."' title='".$locale['MG_MARKT_0529']."' style='padding-left:4px;vertical-align:middle;cursor:pointer;cursor:hand;width:14px;".(getMarketValue($the_market_id, 'market_end_time') == "0" ? "display:none;" : "")."' /><br clear='both' />
					<span id='info_end_time'>".$locale['MG_MARKT_0544']."</span>
				</td>
			</tr>";
if (defined("SCORESYSTEM")) {
		echo "<tr class='tbl1'>
				<td style='text-align:right;vertical-align:top;'>
					".$locale['MG_MARKT_0545']."&nbsp;&nbsp;
				</td>
				<td style='text-align:left;'><span id='market_premium'>";
				if (getMarketValue($the_market_id, 'market_premium') != "1") {
					if (checkScoreGuthaben($userdata['user_id']) >= getMarketSet('score_premium')) {
						echo "
							<input type='radio' name='market_premium' value='1' />&nbsp;".$locale['MG_MARKT_0536']."
							<input type='radio' name='market_premium' value='0' checked />&nbsp;".$locale['MG_MARKT_0537']."</span><br />
							<span id='info_market_premium'>(".sprintf($locale['MG_MARKT_0546'], getMarketSet('score_premium')).")</span>";
					} else {
						echo $locale['MG_MARKT_0528'];
					}
				} else {
				echo "
					<input type='hidden' name='market_premium' value='1' />&nbsp;".$locale['MG_MARKT_0536']."";
				}
			echo "</td>
			</tr>";
}
		echo "<tr class='tbl1'>
				<td style='text-align:right;'>
					".$locale['MG_MARKT_0547']."&nbsp;&nbsp;
				</td>
				<td style='text-align:left;'><span id='market_premium'>
					<input type='checkbox' name='market_aktiv' value='1'".(getMarketValue($the_market_id, 'market_aktiv') == "1" ? " checked" : "")." />
				</td>
			</tr>";



	echo "<tr class='tbl1' style='text-align:center;'>
				<td colspan='2'><span style='font-size:x-small;'><span style='font-weight:bold;color:red;'>*</span> = ".$locale['MG_MARKT_0548']."</span></td>
			</tr>
			<tr class='tbl2' style='text-align:center;'>
				<td colspan='2'>";
					if (!defined("SCORESYSTEM")) {
						echo "<input type='hidden' name='market_premium' value='0' />";
					}
				echo "<input type='hidden' name='market_user' id='market_user' value='".getMarketValue($the_market_id, 'market_user')."' />&nbsp;
					<input type='submit' class='button' name='edit_anzeige_speichern' id='edit_anzeige_speichern' value='Speichern' />&nbsp;
					<input type='reset' class='button' id='reset' value='".$locale['MG_MARKT_0550']."' />&nbsp;
					<input type='reset' class='button' id='abort' value='".$locale['MG_MARKT_0551']."' /></td>
			</tr>
		</table>
	</form>";

echo "<script type='text/javascript' src='".MARKTPLATZ."includes/jquery.textarea-expander.js'></script> ";
echo "
<script type='text/javascript'>
$(document).ready(function(){
	$('.market_success').fadeOut(5000);
	$('.market_error').fadeOut(10000);";
if (defined("SCORESYSTEM")) {
	echo "$('#market_desc').keyup(function(){
		var kosten = parseInt($(this).val().length * ".getMarketSet('score_pro_char').");
		$('#chars').html('<span style=\'color:blue;\'>".$locale['MG_MARKT_0552'].": ' + ($(this).val().length) + ' (".$locale['MG_MARKT_0553'].": ' + kosten + ' ".$locale['MG_MARKT_score_def'].")</span>');
	});
	$('#desc_tip').tooltip({tip:'#desc_tip_tip', position:'top right', effect:'fade', fadeInSpeed:500, fadeOutSpeed:500});";
}
echo "});

$(function() {
	$('#reset').click(function() {
		$('.ferror').hide();
		$('select#market_kat').removeClass('ferror1');
		$('input#market_name').removeClass('ferror1');
		$('textarea#market_desc').removeClass('ferror1');
		$('input#market_plz').removeClass('ferror1');
		$('input#market_ort').removeClass('ferror1');
		$('input#market_preis_min').removeClass('ferror1');";
if (defined("SCORESYSTEM")) {
	echo "$('#chars').html('".sprintf($locale['MG_MARKT_0524'], getMarketSet('score_pro_char'))."');";
}
echo "$('#date_clear').fadeOut('slow');
	});

	$('#abort').click(function() {
		window.location = '".FUSION_SELF."?mein_markt=true';
	});
});

$(function() {
	$('#market_end_time').change(function() {
		$('#date_clear').fadeIn('slow');
	});

	$('#market_end_time').keyup(function() {
		$('#date_clear').fadeIn('slow');
	});
});

$(function() {";
if (defined("SCORESYSTEM")) {
	echo "$('#market_desc').mouseover(function() {
		$('#chars').addClass('info')
	});

	$('#market_desc').mouseout(function() {
		$('#chars').removeClass('info')
	});";
}
echo "$('#market_img').mouseover(function() {
		$('#info_img').addClass('info')
	});

	$('#market_img').mouseout(function() {
		$('#info_img').removeClass('info')
	});

	$('#market_preis_min').mouseover(function() {
		$('#info_preis_min').addClass('info')
	});

	$('#market_preis_min').mouseout(function() {
		$('#info_preis_min').removeClass('info')
	});

	$('#market_preis_max').mouseover(function() {
		$('#info_preis_max').addClass('info')
	});

	$('#market_preis_max').mouseout(function() {
		$('#info_preis_max').removeClass('info')
	});

	$('#market_end_time').mouseover(function() {
		$('#info_end_time').addClass('info')
	});

	$('#market_end_time').mouseout(function() {
		$('#info_end_time').removeClass('info')
	});";
if (defined("SCORESYSTEM")) {
	echo "$('#market_premium').mouseover(function() {
		$('#info_market_premium').addClass('info')
	});

	$('#market_premium').mouseout(function() {
		$('#info_market_premium').removeClass('info')
	});";
}
echo "$('#market_infos_public').mouseover(function() {
		$('#info_market_infos_public').addClass('info')
	});

	$('#market_infos_public').mouseout(function() {
		$('#info_market_infos_public').removeClass('info')
	});
});

$(function() {
	$('#date_clear').click(function() {
		$('#market_end_time').val('');
		$('#date_clear').fadeOut('slow');
	});
});

$(function() {
	$('.ferror').hide();
	$('#edit_anzeige_speichern').click(function() {
		// validate and process form here

		$('.ferror').hide();
		var market_kat = $('select#market_kat').val();
		if (market_kat == '0') {
			$('label#market_kat_error').show();
			$('select#market_kat').focus();
			$('select#market_kat').addClass('ferror1');
			return false;
		}

		var market_name = $('input#market_name').val();
		if (market_name == '') {
			$('label#market_name_error').show();
			$('input#market_name').focus();
			$('input#market_name').addClass('ferror1');
			return false;
		}

		var market_desc = $('textarea#market_desc').val();
		if (market_desc == '') {
			$('label#market_desc_error').show();
			$('textarea#market_desc').focus();
			$('textarea#market_desc').addClass('ferror1');
			return false;
		}

		var market_plz = $('input#market_plz').val();
		if (market_plz == '') {
			$('label#market_plz_error').show();
			$('input#market_plz').focus();
			$('input#market_plz').addClass('ferror1');
			return false;
		}

		var market_ort = $('input#market_ort').val();
		if (market_ort == '') {
			$('label#market_ort_error').show();
			$('input#market_ort').focus();
			$('input#market_ort').addClass('ferror1');
			return false;
		}

	});
});

$(function() {
	$('#market_kat').change(function() {
		$('label#market_kat_error').fadeOut('slow');
		$('select#market_kat').removeClass('ferror1');
	});

	$('#market_name').keyup(function() {
		$('label#market_name_error').fadeOut('slow');
		$('input#market_name').removeClass('ferror1');
	});

	$('#market_desc').keyup(function() {
		$('label#market_desc_error').fadeOut('slow');
		$('textarea#market_desc').removeClass('ferror1');
	});

	$('#market_plz').keyup(function() {
		$('label#market_plz_error').fadeOut('slow');
		$('input#market_plz').removeClass('ferror1');
	});

	$('#market_ort').keyup(function() {
		$('label#market_ort_error').fadeOut('slow');
		$('input#market_ort').removeClass('ferror1');
	});

});
</script>";
}
} else {
	redirect(FUSION_SELF);
}
?>