<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mg_anzeigenmarkt_header.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
add_to_head("
<link rel='stylesheet' type='text/css' href='".MARKTPLATZ."includes/mg_anzeigenmarkt.css' />\n
<script type='text/javascript' src='".MARKTPLATZ."includes/jquery-1.4.2.min.js'></script>
<script type='text/javascript' src='".MARKTPLATZ."includes/tools.tooltip-1.1.3.min.js'></script>\n
<script type='text/javascript' src='".MARKTPLATZ."includes/bsn.AutoSuggest.js'></script>\n
");
echo "<div id='markt_header'>";
echo "<div class='market_name'>".getMarketSet('market_name')."</div>";

if (function_exists("MarketSecurity")) {
	MarketSecurity();
} else {
	redirect(BASEDIR."index.php");
}

if (!iMEMBER) {
echo "<div class='no_member'>
			<strong><a class='link_button' id='login_box'>".$locale['MG_MARKT_0001']."</a><a class='link_button' href='".BASEDIR."register.php'>".$locale['MG_MARKT_0002']."</a></strong>";
	echo "<div class='markt_overlay' id='markt_overlay' style='display:none;'></div>";
	echo "<div id='loginbox'>";
	echo "<a class='loginboxclose' id='loginboxclose'></a><br />";
   echo "<form name='loginform' method='post' action='".MARKTPLATZ."mg_anzeigenmarkt.php'>\n";
	echo $locale['global_101']."<br />\n<input type='text' name='user_name' class='user_name default-value' value='".$locale['global_101']."' style='width:100px' /><br />\n";
	echo $locale['global_102']."<br />\n<input type='password' name='user_pass' class='user_pass default-value' value='".$locale['global_102']."' style='width:100px' /><br />\n";
	echo $locale['global_103'].": <input type='checkbox' name='remember_me' value='y' title='".$locale['global_103']."' style='vertical-align:middle;' />\n<br />";
	echo "<input type='submit' name='login' value='".$locale['global_104']."' class='markt_button' /><br />\n";
	echo "</form>\n<br />\n";
	echo $locale['global_106']."</div>
		</div>";
} else {
	echo "<div class='mein_markt'>
			<strong><a class='link_button' href='".MARKTPLATZ."mg_anzeigenmarkt.php?mein_markt=true'>".$locale['MG_MARKT_0003']."</a><a class='link_button' href='".BASEDIR."forum/".(getMarketSet('forum_id') == "0" ? "index.php" : "viewforum.php?forum_id=".getMarketSet('forum_id'))."'>".$locale['MG_MARKT_0004']."</a></strong>
		</div>";
}

if (getMarketSet("market_inf_name") == "" || getMarketSet("market_inf_name") != md5("MG Anzeigen-Markt") || getMarketSet("market_site_url") == "" || getMarketSet("market_site_url") != md5("MG Anzeigen-Markt".$settings['siteurl'])) {
		redirect(INFUSIONS."mg_anzeigenmarkt/mg_anzeigenmarkt_register.php".$aidlink);
}

	echo "<div style='clear:both;'></div>";
	echo "<div class='neue_anzeige'>".(iMEMBER ? "<img id='neue_anzeige' src='".getMarketImage("label_yellow")."' /><a href='".MARKTPLATZ."mg_anzeigenmarkt.php?anzeige_add=true'>".$locale['MG_MARKT_0005']."</a>" : "")."</div>";
$advert_count = dbrows(dbquery("SELECT market_id FROM ".MG_MARKET." WHERE market_aktiv='1'"));
$kat_count = dbrows(dbquery("SELECT kat_id FROM ".MG_MARKET_KAT.""));
echo "<form name='market_search_form' method='get' action='".MARKTPLATZ."mg_anzeigenmarkt_suche.php'>
		<div class='market_suche'>
			<div class='such_headline'><p><strong>".$locale['MG_MARKT_0006']."</strong></p></div>
			<div class='such_art_input'>
				<input type='text' class='such_art_field default-value' name='suchtext' id='suchtext' value='".$locale['MG_MARKT_0007']."' autocomplete='off' />
			</div>

			<div class='such_ort_input'>
				<input type='text' class='such_ort_field default-value' name='suchort' id='suchort' value='".$locale['MG_MARKT_0008']."' autocomplete='off'>
			</div>

			<input type='submit' class='such_button' value='".$locale['MG_MARKT_0009']."' />
			<div class='advert_count'>".sprintf($locale['MG_MARKT_0010'], $advert_count, $kat_count)."</div>
	</div>
</form>";  
echo "</div>";
echo "
<script type='text/javascript'>
$(document).ready(function(){
	$('.market_success').fadeOut(5000);
	$('.market_error').fadeOut(10000);
	$('.default-value').each(function() {
		var default_value = this.value;
		$(this).focus(function() {
			if(this.value == default_value) {
				this.value = '';
			}
		});
		$(this).blur(function() {
			if(this.value == '') {
				this.value = default_value;
			}
		});
	});
});
$(function() {
	$('#login_box').click(function() {
		$('#markt_overlay').fadeIn('fast',function(){
			$('#loginbox').slideDown('slow', function(){
				$('#loginboxclose').fadeIn('slow');
			});
		});
	});
	$('#loginboxclose').click(function() {
		$('#loginboxclose').fadeOut('slow', function(){
			$('#loginbox').slideUp('slow', function(){
				$('#markt_overlay').fadeOut('fast');
			});
		});
	});
});
	
var options = {
	script:\"".MARKTPLATZ."includes/search.php?json=true&\",
	varname:\"input\",
	json:true
};
var as_json = new AutoSuggest('suchtext', options);
</script>";
?>