<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mg_anzeigenmarkt_panel.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."mg_anzeigenmarkt/infusion_db.php";
include_once INFUSIONS."mg_anzeigenmarkt/includes/functions.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(MARKTPLATZ."locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include MARKTPLATZ."locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include MARKTPLATZ."locale/German.php";
}

$panel_side = dbarray(dbquery("SELECT panel_side FROM ".DB_PANELS." WHERE panel_filename='mg_anzeigenmarkt_panel'"));

if ($panel_side['panel_side'] == 1 || $panel_side['panel_side'] == 4) {
	// Seitenpanel
	openside(getMarketSet('market_name'));
	$advert_count = dbrows(dbquery("SELECT market_id FROM ".MG_MARKET." WHERE market_aktiv='1'"));
	$kat_count = dbrows(dbquery("SELECT kat_id FROM ".MG_MARKET_KAT.""));
	echo "<div style='text-align:center;'>
			<a href='".MARKTPLATZ."mg_anzeigenmarkt.php' title='".sprintf($locale['MG_MARKT_0010'], $advert_count, $kat_count)."'><img src='".getMarketImage("marktplatz")."' style='border:none; vertical-align:middle;' /></a></div>";
	echo "<div style='text-align:left; padding: 3px;'>
			<strong>".$locale['MG_MARKT_0300'].":</strong><br />";
			
	$result = dbquery("SELECT * FROM ".MG_MARKET." WHERE market_aktiv='1' ORDER BY market_start_time DESC LIMIT 0, 5");
	if (dbrows ($result)) {
			while ($data = dbarray($result)) {
				$kat = dbarray(dbquery("SELECT * FROM ".MG_MARKET_KAT." WHERE kat_id='".$data['market_kat']."'"));
				echo THEME_BULLET."&nbsp;<a href='".MARKTPLATZ."mg_anzeigenmarkt.php?market_id=".$data['market_id']."' title='".($kat['main_kat'] == "s" ? $locale['MG_MARKT_0104']." > " : $locale['MG_MARKT_0105']." > ").($kat['top_kat'] != "0" ? getKatValue($kat['top_kat'], 'kat_name')." > " : "").$kat['kat_name']."'>".trimlink($data['market_name'], 20)."</a><br />";
			}
	} else {
		echo $locale['MG_MARKT_0306'];
	}
		
echo "</div>";
closeside();
} else {
	// Center-Panel
	add_to_head("
	<link rel='stylesheet' type='text/css' href='".MARKTPLATZ."includes/mg_anzeigenmarkt.css' />\n
	<script type='text/javascript' src='".MARKTPLATZ."includes/jquery.jcarousel.min.js'></script>
	<script type='text/javascript'>
	jQuery(document).ready(function() {
		jQuery('#mycentercarousel').jcarousel({
			wrap: 'circular',
			scroll: 3,
			animation: 'slow'
		});
	});
	</script>
	");
	
  
	$result = dbquery("SELECT * FROM ".MG_MARKET." WHERE market_aktiv='1' ORDER BY market_premium DESC, market_start_time DESC LIMIT 0, 20");
	if (dbrows($result)) {
		opentable(getMarketSet('market_name'));
		echo "<br />
		<div id='wrap'>";
			$i = 1;
			echo "<ul id='mycentercarousel' class='jcarousel-skin-tango'>";
			while ($data = dbarray($result)) {
				echo "<li><a href='".MARKTPLATZ."mg_anzeigenmarkt.php?market_id=".$data['market_id']."'><img src='".MARKTPLATZ."user_images/".($data['market_img'] != "" ? $data['market_img'] : "missing_image.png")."' title='".$data['market_name']."' style='".($data['market_premium'] == '1' ? "border: 1px solid orange;background-color: orange; " : "")."height:75px; width:90px;' /></a><br /><div style='".($data['market_premium'] == '1' ? "background-color: orange; " : "")."text-align:center;width:92px;padding-bottom:2px'><a href='".MARKTPLATZ."mg_anzeigenmarkt.php?market_id=".$data['market_id']."' title='".$data['market_name']."'>".trimlink($data['market_name'], 15)."</a></div></li>";
				$i++;
			}
		echo "</ul>";
		echo "</div>";
		closetable();
	}
}
?>